<% g = Guideline.where('id = ?', did) %>
<% t = Time.now.strftime("%m/%d/%Y") %>

<div class="panel panel-default tree">
  <div class="panel-heading clearfix">
    <%= link_to g.first.title, g.first.id.to_s + "?date=" + @version_date.to_s, method: 'get', class:"panel-title document-shell"%>
    <div class="pull-right">
      <div class="btn-group">
        <button onclick="drag()" class="dragToggle btn btn-sm btn-default">
          <img class="unlock unlock-sm" src="/unlock.png">
          <img class="lock lock-sm" src="/lock.png">
          &nbsp;
          <span class="dragToggleText">Reorder</span>
        </button>
        <%= link_to "Save Order", serialize_path(), method: 'post', id: "my_link", class: "btn btn-sm btn-primary dd-save" %>
      </div>
      <span class="form-button">
        <%= form_for :newChild, url: url_for(:controller => :guidelines, :action => :new_child) do |f| %>
        <%= f.hidden_field :parent, value: g.first.id %>
        <%= f.hidden_field :guide, value: 0 %>
        <%= f.submit "New Child", class:"btn btn-sm btn-default" %>
        <% end %>
      </span>
    </div>
  </div>
  <div class="panel-body">
    <div class="dd" id="nestable" style="height: 572px; overflow-y: scroll">
      <%= render partial: 'children', locals: {gid: g.first.id, small: true, selected: selected} %>
    </div>
  </div>
  <div class= "panel-footer clearfix">
    <%= link_to "Publish All", pub_all_path(pub: @guideline.id, date: @version_date, act: 'pub'), method: 'post', class:"btn btn-sm btn-success" %>
    <%= link_to "Unpublish All", pub_all_path(pub: @guideline.id, date: @version_date, act: 'unp'), method: 'post', class:"btn btn-sm btn-warning" %>

    <%= link_to guidelines_path() + "/preview/" + @guideline.id.to_s + "?date=" + @version_date.to_s, class:"pull-right btn btn-sm btn-default" do %>
      Preview
    <% end %>
  </div>
</div>
<textarea id="nestable-output"></textarea>
